跳转到主要内容
GET
/
api
/
publicapi
/
v1
/
transactions
/
completed
返回包含指定 Parameter 的已完成事务
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/completed \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "status": "<string>",
      "pageCount": 123,
      "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createTimeUtc": "2023-11-07T05:31:56Z",
      "transactionParameters": [
        {
          "isReadOnly": true,
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "fileParameters": [
        {
          "isReadOnly": true,
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "skillId": "<string>",
      "skillVersion": 123,
      "documentCount": 123
    }
  ],
  "totalItemCount": 123
}

授权

Authorization
string
header
必填

The access token received from the authorization server in the OAuth 2.0 flow.

查询参数

TransactionStatus
string

活动事务状态

SkillId
string

可用技能的 ID(取决于权限)。如果此字段为空, 则使用所有可用技能进行筛选。

SkillVersion
string

仅可用技能可以按其版本进行筛选。

StartDate
string<date-time>

事务的最早创建时间。 时间必须使用 UTC 格式指定。

EndDate
string

事务的最晚创建时间。 时间必须使用 UTC 格式定义。 如果未指定,则使用当前的 UTC 时间。

TransactionParameters
object[]

事务 Parameter 列表。 检索到的事务将包含所有这些 Parameter。

DocumentParameters
object[]

文档 Parameter 列表。 检索到的文档将包含所有这些 Parameter。 文档参数列表。 检索到的事务应包含所有参数。

Offset
integer<int32>

分页偏移量(默认值:0)

Limit
integer<int32>

分页上限

响应

包含其文档注册参数的事务

仅供 Swagger 使用

items
object[] | null
totalItemCount
integer<int32>